### Enumeration

# Gio SocketMsgFlags

since: 2.22

#### Declaration

    flags Gio.SocketMsgFlags

#### Description

Flags used in `g_socket_receive_message()` and g_socket_send_message(). The flags listed in the enum are some commonly available flags, but the values used for them are the same as on the platform, and any other flags are passed in/out as is. So to use a platform specific flag, just include the right system header and pass in the flag.

Available since: 2.22

#### Members

`G_SOCKET_MSG_NONE`

  No flags.

  - Value: `0`
  - Nickname: `none`
  - Available since: 2.22
`G_SOCKET_MSG_OOB`

  Request to send/receive out of band data.

  - Value: `1`
  - Nickname: `oob`
  - Available since: 2.22
`G_SOCKET_MSG_PEEK`

  Read data from the socket without removing it from the queue.

  - Value: `2`
  - Nickname: `peek`
  - Available since: 2.22
`G_SOCKET_MSG_DONTROUTE`

  Don’t use a gateway to send out the packet, only send to hosts on directly connected networks.

  - Value: `4`
  - Nickname: `dontroute`
  - Available since: 2.22